package org.coderu.core.impl.common.types;

import org.coderu.common.utils.types.AbstractPair;

@SuppressWarnings("serial")
public final class ClassDependency extends AbstractPair<ClassName,ClassName>{

    public ClassDependency(ClassName from, ClassName to) {
        super(from, to);
    }

    public ClassName getFrom(){
        return getFirst();
    }

    public ClassName getTo(){
        return getSecond();
    }

}
